Khi được cung cấp một prompt, mô hình sẽ trả về một hoặc nhiều đoạn văn hoàn thành được dự đoán, và cũng có thể trả về xác suất của các token thay thế tại từng vị trí. Tạo phần hoàn thành dựa trên prompt và các tham số đã cung cấp. Tài liệu chính thức: https://platform.openai.com/docs/guides/function-calling?api-mode=responses
Request
Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params
Body Params application/json
Example
{"model":"gpt-4o","messages":[{"role":"system","content":"You are a helpful customer support assistant. Use the supplied tools to assist the user."},{"role":"user","content":"Hi, can you tell me the delivery date for my order?"},{"role":"assistant","content":"Hi there! I can help with that. Can you please provide your order ID?"},{"role":"user","content":"i think it is order_12345"}],"tools":[{"type":"function","function":{"name":"get_delivery_date","description":"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'","parameters":{"type":"object","properties":{"order_id":{"type":"string","description":"The customer's order ID."}},"required":["order_id"],"additionalProperties":false}}}]}
Request Code Samples
Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl--location--request POST '/v1/chat/completions' \
--header'Accept: application/json' \
--header'Authorization: Bearer <token>' \
--header'Content-Type: application/json' \
--data-raw'{
"model": "gpt-4o",
"messages": [
{
"role": "system",
"content": "You are a helpful customer support assistant. Use the supplied tools to assist the user."
},
{
"role": "user",
"content": "Hi, can you tell me the delivery date for my order?"
},
{"role": "assistant", "content": "Hi there! I can help with that. Can you please provide your order ID?"},
{"role": "user", "content": "i think it is order_12345"}
],
"tools": [
{
"type": "function",
"function": {
"name": "get_delivery_date",
"description": "Get the delivery date for a customer'\''s order. Call this whenever you need to know the delivery date, for example when a customer asks '\''Where is my package'\''",
"parameters": {
"type": "object",
"properties": {
"order_id": {
"type": "string",
"description": "The customer'\''s order ID."
}
},
"required": [
"order_id"
],
"additionalProperties": false
}
}
}
]
}'